#
# protrude.rb <jim.foltz@gmail.com>
#
require "sketchup"
require "extensions"

module JF

   module Protrude


      VERSION = "2015-11-06".freeze
      ext = SketchupExtension.new("Protrude", "jf-protrude/protrude.rb")
      ext.description = "Divide, offset, taper, and protrude faces."
      ext.creator = "Jim Foltz <jim.foltz@gmail.com>"
      ext.version = VERSION

      Sketchup.register_extension(ext, true)
   end
end

__END__
load File.dirname(__FILE__) + '/protrude/protrude.rb'

unless file_loaded?(__FILE__)
  UI.menu('Plugins').add_item('[jf] Protrude') { JF::Protrude.init }
  file_loaded(__FILE__)
end
